D-Bus: DBusTypeReader Struct Reference

D-Bus 1.16.2

Data Fields
DBusTypeReader Struct Reference

The type reader is an iterator for reading values from a block of values. More...

`#include <dbus-marshal-recursive.h>`

## Data Fields
const DBusTypeReaderClass * | klass
| the vtable for the reader
const DBusString * | type_str
| string containing signature of block
const DBusString * | value_str
| string containing values of block
dbus_uint32_t | byte_order: 8
| byte order of the block
dbus_uint32_t | finished: 1
| marks we're at end iterator for cases where we don't have another way to tell
dbus_uint32_t | array_len_offset: 3
| bytes back from start_pos that len ends
int | type_pos
| current position in signature
int | value_pos
| current position in values
union { |
struct { |
int start_pos |
| for array readers, the start of the array values More...
} array |
} | u |
| class-specific data

## Detailed Description

The type reader is an iterator for reading values from a block of values.

Definition at line 41 of file dbus-marshal-recursive.h.

## Field Documentation

## ◆ array_len_offset

dbus_uint32_t DBusTypeReader::array_len_offset

bytes back from start_pos that len ends

Definition at line 52 of file dbus-marshal-recursive.h.

## ◆ byte_order

dbus_uint32_t DBusTypeReader::byte_order

byte order of the block

Definition at line 47 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_read_basic().

## ◆ finished

dbus_uint32_t DBusTypeReader::finished

marks we're at end iterator for cases where we don't have another way to tell

Definition at line 49 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_get_current_type().

## ◆ klass

const DBusTypeReaderClass* DBusTypeReader::klass

the vtable for the reader

Definition at line 43 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_delete(), _dbus_type_reader_get_array_length(), _dbus_type_reader_get_current_type(), _dbus_type_reader_init(), _dbus_type_reader_init_types_only(), _dbus_type_reader_next(), _dbus_type_reader_read_basic(), _dbus_type_reader_read_fixed_multi(), _dbus_type_reader_read_raw(), _dbus_type_reader_recurse(), and _dbus_type_reader_set_basic().

## ◆ start_pos

int DBusTypeReader::start_pos

for array readers, the start of the array values

Definition at line 59 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_read_fixed_multi().

## ◆ type_pos

int DBusTypeReader::type_pos

current position in signature

Definition at line 53 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_get_current_type(), _dbus_type_reader_get_element_type(), _dbus_type_reader_get_signature(), _dbus_type_reader_init(), _dbus_type_reader_init_types_only(), _dbus_type_reader_next(), _dbus_type_reader_read_basic(), _dbus_type_reader_read_fixed_multi(), _dbus_type_reader_recurse(), and _dbus_type_reader_set_basic().

## ◆ type_str

const DBusString* DBusTypeReader::type_str

string containing signature of block

Definition at line 44 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_get_current_type(), _dbus_type_reader_get_element_type(), _dbus_type_reader_get_signature(), _dbus_type_reader_init(), _dbus_type_reader_init_types_only(), _dbus_type_reader_next(), _dbus_type_reader_read_basic(), _dbus_type_reader_read_fixed_multi(), _dbus_type_reader_recurse(), and _dbus_type_reader_set_basic().

## ◆ value_pos

int DBusTypeReader::value_pos

current position in values

Definition at line 54 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_get_value_pos(), _dbus_type_reader_init(), _dbus_type_reader_next(), _dbus_type_reader_read_basic(), _dbus_type_reader_read_fixed_multi(), _dbus_type_reader_read_raw(), _dbus_type_reader_recurse(), and _dbus_type_reader_set_basic().

## ◆ value_str

const DBusString* DBusTypeReader::value_str

string containing values of block

Definition at line 45 of file dbus-marshal-recursive.h.

Referenced by _dbus_type_reader_read_basic(), _dbus_type_reader_read_fixed_multi(), _dbus_type_reader_read_raw(), and _dbus_type_reader_set_basic().

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.h